{% extends 'layouts/base.html.twig' %}

{% block title %}Accueil{% endblock %}

{% block body %}
<div class="row">    
    <div class="col-md-3 mt-2">
        <a href="{{ path('app_client_list') }}" class="text-decoration-none text-black">
            <div class="card">
                <div class="mx-auto my-auto p-4">
                    <div class="card-body text-center">
                    <h1><i class="fa-solid fa-address-book"></i></h1>
                        Mes clients
                    </div>
                </div>
            </div>
        </a>
    </div>
    {% if is_granted("ROLE_ADMIN") %}
    <div class="col-md-3 mt-2">
        <a href="{{ path('app_employe_list') }}" class="text-decoration-none text-black">
            <div class="card">
                <div class="mx-auto my-auto p-4">
                    <div class="card-body text-center">
                    <h1><i class="fa-solid fa-users"></i></h1>
                        Mes employés
                    </div>
                </div>
            </div>
        </a>
    </div>


    <div class="col-md-3 mt-2">
        <a href="{{ path('app_intervention_list') }}" class="text-decoration-none text-black">
            <div class="card">
                <div class="mx-auto my-auto p-4">
                    <div class="card-body text-center">
                    <h1><i class="fa-solid fa-screwdriver-wrench"></i> </h1>
                        Voir les interventions
                    </div>
                </div>
            </div>
        </a>
    </div>

    {% endif %}


    <div class="col-md-3 mt-2">
        <a href="{{ path('app_intervention_add') }}" class="text-decoration-none text-black">
            <div class="card">
                <div class="mx-auto my-auto p-4">
                    <div class="card-body text-center">
                    <h1><i class="fa-sharp fa-solid fa-plus"></i></h1>
                        Créer une intervention
                    </div>
                </div>
            </div>
        </a>
    </div>

</div>
{% endblock %}